package com.atlassian.bitbucket.content;

import javax.annotation.Nonnull;
import java.util.List;

/**
 *
 */
public interface DiffSegment {

    @Nonnull
    List<DiffLine> getLines();

    @Nonnull
    DiffSegmentType getType();

    boolean isTruncated();
}
